繁体   English   中英

在当前主题中找不到样式“ chipIconSize”

Failed to find style 'chipIconSize' in current theme

提示:本站收集StackOverFlow近2千万问答,支持中英文搜索,鼠标放在语句上弹窗显示对应的参考中文或英文, 本站还提供   中文繁体   英文版本   中英对照 版本,有任何建议请联系yoyou2525@163.com。

我希望使编辑文本成为浮动标签类型。 所以我在依赖项下添加了它:

implementation 'com.android.support:design:28.0.0'

现在,我在“渲染问题”下遇到此错误:

Render Problem    
Failed to find style 'chipIconSize' in current theme

上面的错误显示在xml预览中。

这是build gradle(module app)中的依赖项部分:

dependencies {
implementation fileTree(dir: 'libs', include: ['*.jar'])
//noinspection GradleCompatible
implementation 'com.android.support:appcompat-v7:28.0.0'
implementation 'com.android.support:design:28.0.0'
implementation 'com.android.support.constraint:constraint-layout:1.1.3'
//noinspection GradleCompatible
implementation 'com.google.firebase:firebase-database:16.0.3'
implementation 'com.google.android.gms:play-services-location:16.0.0'

//    implementation 'com.google.firebase:firebase-core:16.0.4'

implementation 'com.google.firebase:firebase-messaging:17.3.3'
implementation 'com.google.firebase:firebase-auth:16.0.4'
testImplementation 'junit:junit:4.12'
androidTestImplementation 'com.android.support.test:runner:1.0.2'
androidTestImplementation 'com.android.support.test.espresso:espresso-core:3.0.2'


implementation 'com.android.support:cardview-v7:28.0.0'
implementation 'com.android.support:recyclerview-v7:28.0.0'
}

logcat在Java编译器下显示以下错误和警告:

The app gradle file must have a dependency on com.google.firebase:firebase-core for Firebase services to work as intended.  

java.util.concurrent.ExecutionException: com.android.builder.internal.aapt.v2.Aapt2Exception: AAPT2 error: check logs for details   

我该如何解决该错误?

1 个回复

应用gradle文件必须依赖com.google.firebase:firebase-core ,Firebase服务才能正常工作。

添加:

implementation 'com.google.firebase:firebase-core:16.0.4'

到您的build.gradle依赖项。

为了 :

无法在当前主题中找到样式“ chipIconSize

您似乎需要添加以下内容:

implementation 'com.google.android.material:material:1.0.0'

要从材质设计中支持该属性,或者简单地将其删除即可。

检查此链接: https : //material.io/develop/android/docs/getting-started/

1 在当前主题中找不到样式“ bottomNavigationStyle”

我是使用android studio的初学者。 我不知道为什么所有类型的容器(例如bottomnavigationview,tablayout,navigationview和其他容器)都会出现相同的错误,从而无法在当前主题中找到样式。 我使用了最新的SDK版本。 我也尝试过更改主题,但仍然 ...

2018-08-11 07:09:47 1 1722   android
10 1-无法加载未知错误的AppCompat ActionBar。 2-在当前主题中找不到样式'floatingActionButtonStyle'

1-无法加载未知错误的AppCompat ActionBar。 2-在当前主题中找不到样式'floatingActionButtonStyle'。 Xml文件显示了以上两个错误以及以下内容- 1-缺少样式。 是否为此布局选择了正确的主题? 使用布局上方的“主题”组合框选择其 ...

暂无
暂无

声明:本站的技术帖子网页,遵循CC BY-SA 4.0协议,如果您需要转载,请注明本站网址或者原文地址。任何问题请咨询:yoyou2525@163.com.

 
粤ICP备18138465号  © 2020-2022 STACKOOM.COM